DROP TABLE Voiture, Types, Client, Réservartion, Stock;


CREATE TABLE Réservartion (

	N°permis numeric(12) CONSTRAINT CPRéservation PRIMARY KEY,
	DateReservation date CONSTRAINT date2Réservation NOT NULL,
	Forfait numeric(5,2) CONSTRAINT forfaitPrix CHECK (Forfait >= 500.00 AND Forfait > 0.00),
	DateRetour date CONSTRAINT date2Retour CHECK (dateretour > DateReservation),
	Durée numeric(2) CONSTRAINT PbDurée CHECK( (Durée <= 7 AND Durée >= 1) AND (DateRetour - DateReservation == Durée) ), 
	PRIMARY KEY (nom)

);

CREATE TABLE Voiture(
	immatriculation CHAR(9) PRIMARY KEY CONSTRAINT Problème_Immatriculation CHECK(immatriculation LIKE '(A-Z)(A-Z)(0-9)(0-9)(0-9)(A-Z)(A-Z)'),
	marque VARCHAR(50) NOT NULL CONSTRAINT Probmème_Marque,
	kilométrage NUMERIC(6) NOT NULL CONSTRAINT Problème_Kilométrage,
	couleur VARCHAR(40) NOT NULL CONSTRAINT Porblème_Couleur,
	modèle VARCHAR(50) NOT NULL REFERENCES Type,
);


CREATE TABLE Type(
	modèle VARCHAR(50) PRIMARY KEY CONSTRAINT Problème_Modèle,
	caution NUMERIC(5) NOT NULL CONSTRAINT Poblème_Caution,
)